---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK27_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libattach045Agent01.dylib'
relocations:
  - { offsetInCU: 0x6C3, offset: 0x6C3, size: 0x8, addend: 0x0, symName: _g_szTagInfo, symObjAddr: 0x5A030, symBinAddr: 0x7200, symSize: 0x0 }
  - { offsetInCU: 0x6EA, offset: 0x6EA, size: 0x8, addend: 0x0, symName: _g_tagFlags, symObjAddr: 0x5BF70, symBinAddr: 0x9140, symSize: 0x0 }
  - { offsetInCU: 0x70C, offset: 0x70C, size: 0x8, addend: 0x0, symName: _g_tagVisitCount, symObjAddr: 0x5C360, symBinAddr: 0x9530, symSize: 0x0 }
  - { offsetInCU: 0x72E, offset: 0x72E, size: 0x8, addend: 0x0, symName: _g_refsToVerifyCnt, symObjAddr: 0x5D300, symBinAddr: 0xA4D0, symSize: 0x0 }
  - { offsetInCU: 0x743, offset: 0x743, size: 0x8, addend: 0x0, symName: _g_refsToVerify, symObjAddr: 0x5D310, symBinAddr: 0xA4E0, symSize: 0x0 }
  - { offsetInCU: 0x8DDA, offset: 0x8DDA, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.0, symObjAddr: 0x59C80, symBinAddr: 0x7090, symSize: 0x0 }
  - { offsetInCU: 0x8DE5, offset: 0x8DE5, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.1, symObjAddr: 0x59C84, symBinAddr: 0x7094, symSize: 0x0 }
  - { offsetInCU: 0x8DF0, offset: 0x8DF0, size: 0x8, addend: 0x0, symName: __ZL11nsk_context.2, symObjAddr: 0x59C88, symBinAddr: 0x7098, symSize: 0x0 }
  - { offsetInCU: 0x8E35, offset: 0x8E35, size: 0x8, addend: 0x0, symName: __ZL7context, symObjAddr: 0x59DD0, symBinAddr: 0x70A0, symSize: 0x0 }
  - { offsetInCU: 0x8EA2, offset: 0x8EA2, size: 0x8, addend: 0x0, symName: __ZL17redefineAttempted, symObjAddr: 0x59E88, symBinAddr: 0x7158, symSize: 0x0 }
  - { offsetInCU: 0x8EC0, offset: 0x8EC0, size: 0x8, addend: 0x0, symName: __ZL15redefineSucceed, symObjAddr: 0x59E8C, symBinAddr: 0x715C, symSize: 0x0 }
  - { offsetInCU: 0x8ED9, offset: 0x8ED9, size: 0x8, addend: 0x0, symName: __ZL11agentFailed, symObjAddr: 0x59E90, symBinAddr: 0x7160, symSize: 0x0 }
  - { offsetInCU: 0x8EF2, offset: 0x8EF2, size: 0x8, addend: 0x0, symName: __ZL18currentAgentStatus, symObjAddr: 0x59E94, symBinAddr: 0x7164, symSize: 0x0 }
  - { offsetInCU: 0x8F0B, offset: 0x8F0B, size: 0x8, addend: 0x0, symName: __ZL9jvmti_env, symObjAddr: 0x59E98, symBinAddr: 0x7168, symSize: 0x0 }
  - { offsetInCU: 0x8F24, offset: 0x8F24, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x59EA0, symBinAddr: 0x7170, symSize: 0x0 }
  - { offsetInCU: 0x8FAD, offset: 0x8FAD, size: 0x8, addend: 0x0, symName: __ZL3jvm, symObjAddr: 0x59EB0, symBinAddr: 0x7180, symSize: 0x0 }
  - { offsetInCU: 0x8FC6, offset: 0x8FC6, size: 0x8, addend: 0x0, symName: __ZL7jni_env, symObjAddr: 0x59EB8, symBinAddr: 0x7188, symSize: 0x0 }
  - { offsetInCU: 0x8FDF, offset: 0x8FDF, size: 0x8, addend: 0x0, symName: __ZL15agentThreadProc, symObjAddr: 0x59EC0, symBinAddr: 0x7190, symSize: 0x0 }
  - { offsetInCU: 0x8FF8, offset: 0x8FF8, size: 0x8, addend: 0x0, symName: __ZL14agentThreadArg, symObjAddr: 0x59EC8, symBinAddr: 0x7198, symSize: 0x0 }
  - { offsetInCU: 0x9011, offset: 0x9011, size: 0x8, addend: 0x0, symName: __ZL11agentThread, symObjAddr: 0x59ED0, symBinAddr: 0x71A0, symSize: 0x0 }
  - { offsetInCU: 0x902B, offset: 0x902B, size: 0x8, addend: 0x0, symName: __ZL16checkStatus_func, symObjAddr: 0x59ED8, symBinAddr: 0x71A8, symSize: 0x0 }
  - { offsetInCU: 0x9111, offset: 0x9111, size: 0x8, addend: 0x0, symName: __ZL13internalError, symObjAddr: 0x59F1C, symBinAddr: 0x71BC, symSize: 0x0 }
  - { offsetInCU: 0x912A, offset: 0x912A, size: 0x8, addend: 0x0, symName: __ZL14targetAppClass, symObjAddr: 0x59F20, symBinAddr: 0x71C0, symSize: 0x0 }
  - { offsetInCU: 0x9143, offset: 0x9143, size: 0x8, addend: 0x0, symName: __ZL17agentLoadedMethod, symObjAddr: 0x59F28, symBinAddr: 0x71C8, symSize: 0x0 }
  - { offsetInCU: 0x915C, offset: 0x915C, size: 0x8, addend: 0x0, symName: __ZL19agentFinishedMethod, symObjAddr: 0x59F30, symBinAddr: 0x71D0, symSize: 0x0 }
  - { offsetInCU: 0x9175, offset: 0x9175, size: 0x8, addend: 0x0, symName: __ZL9agentName, symObjAddr: 0x59F40, symBinAddr: 0x71E0, symSize: 0x0 }
  - { offsetInCU: 0x918E, offset: 0x918E, size: 0x8, addend: 0x0, symName: __ZL20eventsCounterMonitor, symObjAddr: 0x59F48, symBinAddr: 0x71E8, symSize: 0x0 }
  - { offsetInCU: 0x91A7, offset: 0x91A7, size: 0x8, addend: 0x0, symName: __ZL13eventsCounter, symObjAddr: 0x59F50, symBinAddr: 0x71F0, symSize: 0x0 }
  - { offsetInCU: 0x91C0, offset: 0x91C0, size: 0x8, addend: 0x0, symName: __ZL7options, symObjAddr: 0x59F58, symBinAddr: 0x71F8, symSize: 0x0 }
  - { offsetInCU: 0x9212, offset: 0x9212, size: 0x8, addend: 0x0, symName: _nsk_vprintf, symObjAddr: 0x500, symBinAddr: 0xC90, symSize: 0x80 }
  - { offsetInCU: 0x92A7, offset: 0x92A7, size: 0x8, addend: 0x0, symName: _nsk_printf, symObjAddr: 0x450, symBinAddr: 0xBE0, symSize: 0xB0 }
  - { offsetInCU: 0x9302, offset: 0x9302, size: 0x8, addend: 0x0, symName: _nsk_ldisplay, symObjAddr: 0x330, symBinAddr: 0xAE0, symSize: 0x100 }
  - { offsetInCU: 0x9595, offset: 0x9595, size: 0x8, addend: 0x0, symName: _nsk_lvcomplain, symObjAddr: 0x640, symBinAddr: 0xD10, symSize: 0x220 }
  - { offsetInCU: 0x977A, offset: 0x977A, size: 0x8, addend: 0x0, symName: _nsk_lcomplain, symObjAddr: 0x860, symBinAddr: 0xF30, symSize: 0xA0 }
  - { offsetInCU: 0x982D, offset: 0x982D, size: 0x8, addend: 0x0, symName: _nsk_ltrace, symObjAddr: 0x920, symBinAddr: 0xFD0, symSize: 0x110 }
  - { offsetInCU: 0x9923, offset: 0x9923, size: 0x8, addend: 0x0, symName: _nsk_lverify, symObjAddr: 0xAC0, symBinAddr: 0x10E0, symSize: 0x150 }
  - { offsetInCU: 0x9A80, offset: 0x9A80, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0x1830, symBinAddr: 0x1230, symSize: 0x30 }
  - { offsetInCU: 0x9B61, offset: 0x9B61, size: 0x8, addend: 0x0, symName: __Z23nsk_jni_check_exceptionP7JNIEnv_PKci, symObjAddr: 0x1C40, symBinAddr: 0x1260, symSize: 0x150 }
  - { offsetInCU: 0x9D59, offset: 0x9D59, size: 0x8, addend: 0x0, symName: __Z15nsk_jni_lverifyiP7JNIEnv_iPKciS2_z, symObjAddr: 0x1D90, symBinAddr: 0x13B0, symSize: 0x160 }
  - { offsetInCU: 0x9EF9, offset: 0x9EF9, size: 0x8, addend: 0x0, symName: _nsk_jvmti_lverify, symObjAddr: 0x2970, symBinAddr: 0x1510, symSize: 0x1B0 }
  - { offsetInCU: 0xA114, offset: 0xA114, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_ArgumentHandler_getAgentOptionsString, symObjAddr: 0x2B20, symBinAddr: 0x16C0, symSize: 0xA0 }
  - { offsetInCU: 0xA1E3, offset: 0xA1E3, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_redefineAttempted, symObjAddr: 0x2E90, symBinAddr: 0x1760, symSize: 0x20 }
  - { offsetInCU: 0xA21A, offset: 0xA21A, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_isRedefined, symObjAddr: 0x2EB0, symBinAddr: 0x1780, symSize: 0x20 }
  - { offsetInCU: 0xA251, offset: 0xA251, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_RedefineAgent_agentStatus, symObjAddr: 0x2ED0, symBinAddr: 0x17A0, symSize: 0x20 }
  - { offsetInCU: 0xA3C0, offset: 0xA3C0, size: 0x8, addend: 0x0, symName: _nsk_jvmti_resetAgentData, symObjAddr: 0x3610, symBinAddr: 0x17C0, symSize: 0x1A0 }
  - { offsetInCU: 0xA6DC, offset: 0xA6DC, size: 0x8, addend: 0x0, symName: _nsk_jvmti_createJVMTIEnv, symObjAddr: 0x37B0, symBinAddr: 0x1960, symSize: 0x150 }
  - { offsetInCU: 0xA891, offset: 0xA891, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x3DF0, symBinAddr: 0x1AB0, symSize: 0x80 }
  - { offsetInCU: 0xA95A, offset: 0xA95A, size: 0x8, addend: 0x0, symName: __ZL18syncDebuggeeStatusP7JNIEnv_P9_jvmtiEnvi, symObjAddr: 0x3E70, symBinAddr: 0x1B30, symSize: 0x6C0 }
  - { offsetInCU: 0xB4D0, offset: 0xB4D0, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0xB4C0, symBinAddr: 0x3620, symSize: 0xB0 }
  - { offsetInCU: 0xB547, offset: 0xB547, size: 0x8, addend: 0x0, symName: _Java_nsk_share_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x4530, symBinAddr: 0x21F0, symSize: 0x70 }
  - { offsetInCU: 0xB647, offset: 0xB647, size: 0x8, addend: 0x0, symName: _MA_checkStatus, symObjAddr: 0x5280, symBinAddr: 0x2260, symSize: 0xA0 }
  - { offsetInCU: 0xB752, offset: 0xB752, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetTags, symObjAddr: 0x60F0, symBinAddr: 0x2300, symSize: 0x40 }
  - { offsetInCU: 0xB848, offset: 0xB848, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_setTag, symObjAddr: 0x6130, symBinAddr: 0x2340, symSize: 0x2B0 }
  - { offsetInCU: 0xBBEE, offset: 0xBBEE, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_getTag, symObjAddr: 0x63E0, symBinAddr: 0x25F0, symSize: 0xC0 }
  - { offsetInCU: 0xBD34, offset: 0xBD34, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_resetRefsToVerify, symObjAddr: 0x64A0, symBinAddr: 0x26B0, symSize: 0x10 }
  - { offsetInCU: 0xBDF6, offset: 0xBDF6, size: 0x8, addend: 0x0, symName: _Java_nsk_jvmti_unit_FollowReferences_FollowRefObjects_addRefToVerify, symObjAddr: 0x64B0, symBinAddr: 0x26C0, symSize: 0x240 }
  - { offsetInCU: 0xC0DF, offset: 0xC0DF, size: 0x8, addend: 0x0, symName: _nsk_free_options, symObjAddr: 0x9D40, symBinAddr: 0x2900, symSize: 0x150 }
  - { offsetInCU: 0xC1A2, offset: 0xC1A2, size: 0x8, addend: 0x0, symName: _nsk_aod_createOptions, symObjAddr: 0x9E90, symBinAddr: 0x2A50, symSize: 0x3C0 }
  - { offsetInCU: 0xC4DB, offset: 0xC4DB, size: 0x8, addend: 0x0, symName: _nsk_aod_getOptionValue, symObjAddr: 0xA330, symBinAddr: 0x2E10, symSize: 0xF0 }
  - { offsetInCU: 0xC60D, offset: 0xC60D, size: 0x8, addend: 0x0, symName: _nsk_aod_agentLoaded, symObjAddr: 0xA420, symBinAddr: 0x2F00, symSize: 0x2C0 }
  - { offsetInCU: 0xC96C, offset: 0xC96C, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_20CallStaticVoidMethodEP7_jclassP10_jmethodIDz, symObjAddr: 0xA6E0, symBinAddr: 0x31C0, symSize: 0xB0 }
  - { offsetInCU: 0xC9D3, offset: 0xC9D3, size: 0x8, addend: 0x0, symName: _nsk_aod_agentFinished, symObjAddr: 0xA790, symBinAddr: 0x3270, symSize: 0x230 }
  - { offsetInCU: 0xCC8C, offset: 0xCC8C, size: 0x8, addend: 0x0, symName: _nsk_jvmti_aod_getClassName, symObjAddr: 0xAEA0, symBinAddr: 0x34A0, symSize: 0x180 }
  - { offsetInCU: 0xCEC3, offset: 0xCEC3, size: 0x8, addend: 0x0, symName: _classPrepareHandler, symObjAddr: 0xC090, symBinAddr: 0x36D0, symSize: 0x480 }
  - { offsetInCU: 0xD523, offset: 0xD523, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0xC510, symBinAddr: 0x3B50, symSize: 0x390 }
  - { offsetInCU: 0xD98F, offset: 0xD98F, size: 0x8, addend: 0x0, symName: __ZL18agentThreadWrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0xC8A0, symBinAddr: 0x3EE0, symSize: 0x36A }
...
